OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
Vrml

# Vrml_Info Class Reference

defines a Info node of VRML specifying properties of geometry
and its appearance.
It is used to store information in the scene graph,
Typically for application-specific purposes, copyright messages,
or other strings.

`#include <Vrml_Info.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_Info (const TCollection_AsciiString &aString="<Undefined info>")
Standard_EXPORT void | SetString (const TCollection_AsciiString &aString)
Standard_EXPORT TCollection_AsciiString | String () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const
## Private Attributes
TCollection_AsciiString | myString

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Info::Vrml_Info | ( | const TCollection_AsciiString & | aString = `"<Undefined info>"` | ) |

## Member Function Documentation

void Vrml_Info::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_Info::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_Info::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_Info::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_Info::SetString | ( | const TCollection_AsciiString & | aString | ) |

Standard_EXPORT TCollection_AsciiString Vrml_Info::String | ( |  | ) | const

## Field Documentation

TCollection_AsciiString Vrml_Info::myString`[private]`

The documentation for this class was generated from the following file:

- Vrml_Info.hxx